Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: varnishd

Tunables Interfaces

### Description:

Varnishd http accelerator daemon.

### Tunables:

varnishd_connect_any

##### Default value

false

##### Description

Determine whether varnishd can use the full TCP network.

Return

### Interfaces:

varnishd_admin( domain , role )

##### Summary

All of the rules required to administrate an varnishd environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

varnishd_admin_varnishlog( domain , role )

##### Summary

All of the rules required to administrate an varnishlog environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

varnishd_append_log( domain )

##### Summary

Append varnish log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

varnishd_domtrans( domain )

##### Summary

Execute varnishd in the varnishd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

varnishd_exec( domain )

##### Summary

Execute varnishd in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

varnishd_manage_log( domain )

##### Summary

Create, read, write, and delete varnish log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

varnishd_read_config( domain )

##### Summary

Read varnishd configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

varnishd_read_lib_files( domain )

##### Summary

Read varnish lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

varnishd_read_log( domain )

##### Summary

Read varnish log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return